Inspect

Get skill

Retrieve an active skill, including every file, its owner, and its collaborators.

Base URL
GET
/api/public/v1/skills/{skill_id}

Retrieve an active skill, including every file, its owner, and its collaborators.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

skill_id*string

Skill ID

Response Body

Skill details

application/json
  1. response
data*
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/skills/string'
Example Response
{  "data": {    "id": "string",    "url": "http://example.com",    "description": "string",    "files": [      {        "name": "string",        "content": "string"      }    ],    "is_builtin": true,    "owner": {      "id": "string",      "name": "string",      "email": "string",      "image": "string"    },    "collaborators": [      {        "id": "string",        "name": "string",        "email": "string",        "image": "string"      }    ],    "viewer_can_edit": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}